require "json"
require "uuid"
require "uuid/json"

alias UserDataID = UInt32

class DNSManager::Storage::UserData
	include JSON::Serializable

	property uid : UserDataID

	# Users may have many domains, and a domain can have many owners.
	property domains = [] of String

	property admin : Bool = false

	def initialize(@uid)
	end
end
